# encoding: utf-8
require 'spec_helper'
require 'fedux_org_stdlib/colors/html_color'

RSpec.describe FeduxOrgStdlib::Colors::HtmlColor do
  context '#valid?' do

    it 'suceeds if string is valid html color' do
      expect(FeduxOrgStdlib::Colors::HtmlColor.new('#11aa11')).to be_valid
    end

    it 'fails if color does not start with #' do
      expect(FeduxOrgStdlib::Colors::HtmlColor.new('111111')).not_to be_valid
    end

    it 'fails if length is invalid' do
      expect(FeduxOrgStdlib::Colors::HtmlColor.new('#111111111')).not_to be_valid
    end

    it 'fails if no hex number is given' do
      expect(FeduxOrgStdlib::Colors::HtmlColor.new('#ZZAAZZ')).not_to be_valid
    end

  end
end
