# encoding: utf-8
require 'spec_helper'
require 'fedux_org_stdlib/core_ext/hash/list'

RSpec.describe Array do
  context '#to_list' do
    it 'converts array to a list of values' do
      input = {
        opt1: 'asdf',
        opt2: 'asdf'
      }

      expect(input.to_list).to eq '"opt1: asdf", "opt2: asdf"'
    end

    it 'passes options' do
      input = {
        opt1: 'asdf',
        opt2: 'asdf'
      }

      expect(input.to_list(around: "'")).to eq %('opt1: asdf', 'opt2: asdf')
    end

    it 'changes format' do
      input = {
        opt1: 'asdf',
        opt2: 'asdf'
      }

      expect(input.to_list(format: '%s | %s')).to eq %("opt1 | asdf", "opt2 | asdf")
    end
  end
end
