# encoding: utf-8
require 'spec_helper'
require 'fedux_org_stdlib/core_ext/shellwords/clean'

RSpec.describe '.shellclean' do
  it 'returns a normal string as normal string' do
    result = Shellwords.clean('asdf')

    expect(result).to eq 'asdf'
  end

  it 'removes whitespace' do
    result = Shellwords.clean("asdf asdf\tasdf")

    expect(result).to eq 'asdfasdfasdf'
  end

  it 'removes $' do
    result = Shellwords.clean('asdf$asdf')

    expect(result).to eq 'asdfasdf'
  end
end
