# encoding: utf-8
require 'fedux_org_stdlib/core_ext/string/characterize'

RSpec.describe String do
  context '#characterize' do
    it 'removes accents and whitespace' do
      expect('á'.characterize).to eq 'a'
    end

    it 'removes umlauts' do
      expect('ä'.characterize).to eq 'a'
    end

    it 'removes special characters "§$%&/()=?!\t' do
      expect(%('°^!"§$%&/()=?!\t).characterize).to eq ''
    end

    it 'removes whitespace' do
      expect(%(Donald E. Knuth).characterize).to eq 'donald-e-knuth'
    end
  end
end
