# encoding: utf-8
require 'spec_helper'
require 'fedux_org_stdlib/fixtures_management'

RSpec.describe FixturesManagement::FixturesManager do

  describe '#load_fixtures' do
    let(:creator_stub) { Class.new }
    let(:creator) { stub_const('FeduxOrgStdlib::FixturesManagement::Fixture', creator_stub) }

    it 'load fixtures from path' do
      expect(creator).to receive(:new).with(Pathname.new(absolute_path('images-app')))

      touch_file 'images-app/image1.png'
      touch_file 'images-app/image2.png'

      manager = FixturesManagement::FixturesManager.new
      manager.load_fixtures(absolute_path('.'))
    end
  end

  describe '#find' do
    it 'find fixture' do
      touch_file 'images-app/image1.png'
      touch_file 'images-app/image2.png'

      manager = FixturesManagement::FixturesManager.new
      manager.load_fixtures(absolute_path('.'))

      expect(manager.find('images-app').name).to eq :'images-app'
    end
  end
end
