# encoding: utf-8
require 'spec_helper'
require 'fedux_org_stdlib/gem_plugins/plugin_manager'

RSpec.describe GemPlugins::PluginManager do
  module FeduxOrgStdlib
    module Fixtures
      module PluginManager
        module Load
          class PluginManager < GemPlugins::PluginManager
          end
        end
      end
    end
  end

  context '#activate_plugin' do
    it 'loads available plugins only on request' do
      manager = FeduxOrgStdlib::Fixtures::PluginManager::Load::PluginManager.new
      expect('FeduxOrgStdlib::Fixtures::PluginManager::Plugin::Load').not_to be_defined

      manager.activate_plugin 'fedux_org_stdlib-fixtures-plugin_manager-load'
      expect('FeduxOrgStdlib::Fixtures::PluginManager::Plugin::Load').to be_defined
    end
  end

  it 'outputs warning if plugin cannout be found' do
    manager = FeduxOrgStdlib::Fixtures::PluginManager::Load::PluginManager.new

    result = capture :stderr do
      manager.activate_plugin 'plugin-blub'
    end

    expect(result).to include 'plugin-blub'
  end

  # context '#to_s' do
  #  it 'has a string representation' do
  #    manager = FeduxOrgStdlib::Fixtures::PluginManager::Load::PluginManager.new
  #    manager.activate_plugin 'fedux_org_stdlib-fixtures-plugin_manager-load'

  #    expect(manager.to_s).to include '1 row in set'
  #  end
  # end
end
