# encoding: utf-8
require 'spec_helper'
require 'fedux_org_stdlib/project/generators/taskjuggler'

RSpec.describe FeduxOrgStdlib::Project::Generators::Taskjuggler do
  context '#generate_report' do
    before :each do
      create_dir('projects')
    end

    let(:directory) { absolute_path('projects') }

    it 'generates a report using taskjuggler' do
      plan_file = File.join(examples_directory, 'project', 'plan.tjp')

      generator = FeduxOrgStdlib::Project::Generators::Taskjuggler.new

      silence(:stderr) do
        generator.generate_report(directory, plan_file)
      end
    end

    it 'fails if an error occured while generating the report' do
      plan_file = File.join(examples_directory, 'project', 'plan_does_not_exist.tjp')

      generator = FeduxOrgStdlib::Project::Generators::Taskjuggler.new

      expect do
        silence(:stderr) do
          generator.generate_report(directory, plan_file)
        end
      end.to raise_error SystemExit
    end
  end
end
