# encoding: utf-8
require 'spec_helper'
require 'fedux_org_stdlib/version_management/software_version'

RSpec.describe FeduxOrgStdlib::VersionManagement::SoftwareVersion do
  context '#to_s' do
    it 'returns a string representation of version' do
      version = FeduxOrgStdlib::VersionManagement::SoftwareVersion.new('1.1.1')
      expect(version.to_s).to eq('1.1.1')
    end
  end

  context '#update' do
    it 'updates an with an new version number' do
      version =  FeduxOrgStdlib::VersionManagement::SoftwareVersion.new('1.1.1')
      version.update('2.0.0')
    end
  end

  context '#bump' do
    it 'bumps major version' do
      version =  FeduxOrgStdlib::VersionManagement::SoftwareVersion.new('1.1.1')
      version = version.bump(:major)

      expect(version.to_s).to eq('2.0.0')
    end

    it 'bumps minor version' do
      version =  FeduxOrgStdlib::VersionManagement::SoftwareVersion.new('1.1.1')
      version = version.bump(:minor)

      expect(version.to_s).to eq('1.2.0')
    end

    it 'bumps tiny version' do
      version =  FeduxOrgStdlib::VersionManagement::SoftwareVersion.new('1.1.1')
      version = version.bump(:tiny)

      expect(version.to_s).to eq('1.1.2')
    end
  end
end
